<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a>/
          <a routerLink="/users">Users</a>/Map_users
      </mat-chip>
  </mat-chip-list>
</div>

<!-- <button mat-fab (click)="sidenav1.toggle() && resetform()" class="float-button">
  <mat-icon matTooltip="Add Category">add</mat-icon>
</button> -->

<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>CATEGORIES & BRANDS</span>
      <div style="flex-grow:1;"></div>
      <button mat-raised-button color="accent" style="margin-left: 5px;" (click)="setUsers()">Submit</button>
    </div>
    <div class="example-header row">
        <div class="col-md-6">
            <mat-form-field>
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
              </mat-form-field>
        </div>
       
        <div class="col-md-6">
            <mat-form-field>
                <input matInput (keyup)="applyFilter1($event.target.value)" placeholder="Filter">
              </mat-form-field>
        </div>
  
      </div>
<div class="col-md-12 row">
    <mat-table class="col-md-6" #table [dataSource]="dataSource" matSort>

     
      <ng-container matColumnDef="category_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Category Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.category_name}}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select</mat-header-cell>
        <mat-cell *matCellDef="let row"><mat-checkbox [checked]="(row.mapped_id==1?true:false)" (change)="sendIDS($event.checked,row.category_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> 

      <mat-header-row *matHeaderRowDef="[ 'category_name', 'action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: [ 'category_name', 'action']"></mat-row>

    </mat-table>

    
    <mat-table class="col-md-6" #table [dataSource]="dataSource1" matSort>

      

     

      <ng-container matColumnDef="brand">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Brand Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.brand_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select</mat-header-cell>
        <mat-cell *matCellDef="let row"><mat-checkbox [checked]="(row.mapped_id==1?true:false)" (change)="sendIDS1($event.checked,row.brand_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> 

      <mat-header-row *matHeaderRowDef="['brand','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['brand','action']"></mat-row>

    </mat-table>
  </div>
    <mat-paginator [length]="1000" [pageSize]="100" [pageSizeOptions]="[100, 300, 500, 1000]">
    </mat-paginator>
  </div>
</div>

